LU-COMMENT-EXTRACTOR(1)

NAME
lu-comment-extractor - extract comments from source code files

SYNOPSIS
lu-comment-extractor [OPTION]... FILE

DESCRIPTION
Show the topmost comments of source files (using GNU Source Highlight.)

-f, --full
    instead of showing topmost comments, show them all

-s, --style NAME
    parse comments in the style of NAME

--stats
    also show starting and ending byte positions

-O, --output FILE dump comments to FILE instead of stdout

-h, --help
    display this help and exit

--version
    display version information and exit

Style NAME can be one of "c, c++, javascript, shell, scheme, texinfo, latex, m4, haskell, groff, gettext, fortran, pascal". "c" is the default.

--stats produces a terminating line showing the source row, source column, along with the destination row, destination column of the detected comments.

REPORTING BUGS
Report bugs to <http://sv.nongnu.org/bugs/?group=licenseutils>.